

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.26. lock_acquire &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.27. lock_clear" href="lock_clear.html" />
    <link rel="prev" title="7.3.25. load" href="load.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/lock_acquire.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="lock_clear.html" title="7.3.27. lock_clear"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="load.html" title="7.3.25. load"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.26. </span><code class="docutils literal notranslate"><span class="pre">lock_acquire</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="lock-acquire">
<h1><span class="section-number">7.3.26. </span><code class="docutils literal notranslate"><span class="pre">lock_acquire</span></code><a class="headerlink" href="#lock-acquire" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.26.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 5.1.2 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">lock_acquire</span></code> コマンドは対象オブジェクトのロックを獲得します。対象オブジェクトはデータベース、テーブル、カラムのどれかです。</p>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p>これは危険なコマンドです。獲得したロックはロックが必要なくなったときに <a class="reference internal" href="lock_release.html"><span class="doc">lock_release</span></a> で解放してください。もし、解放し忘れるとデータベースが壊れるかもしれません。</p>
</div>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.26.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドの引数は1つで省略できます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>lock_acquire [target_name=null]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">target_name</span></code> パラメーターを省略した場合は対象オブジェクトはデータベースになります。</p>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.26.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>以下はデータベースのロックを獲得する例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>lock_acquire
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>もし、データベースがロックされていると、新しいテーブル・カラムを作れなくなります。ここでは、他の例を示すためにデータベースのロックを解放します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>lock_release
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">Entries</span></code> テーブルのロックを獲得する例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Entries TABLE_NO_KEY
# [[0, 1337566253.89858, 0.000355720520019531], true]
lock_acquire Entries
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">Sites.title</span></code> カラムのロックを獲得する例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Sites TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Sites title COLUMN_SCALAR ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
lock_acquire Sites.title
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.26.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションではすべての引数について説明します。</p>
<div class="section" id="target-name">
<h3><span class="section-number">7.3.26.4.1. </span><code class="docutils literal notranslate"><span class="pre">target_name</span></code><a class="headerlink" href="#target-name" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>テーブル名またはカラム名を指定します。</p>
<p>指定しなかったら対象オブジェクトはデータベースになります。</p>
<p>デフォルト値はありません。これは対象オブジェクトはデータベースになるということです。</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.26.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">lock_acquire</span></code> コマンドはロックを獲得できたかどうかを返します。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, SUCCEEDED_OR_NOT]
</pre></div>
</div>
<div class="section" id="header">
<h3><span class="section-number">7.3.26.5.1. </span><code class="docutils literal notranslate"><span class="pre">HEADER</span></code><a class="headerlink" href="#header" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div>
<div class="section" id="succeeded-or-not">
<h3><span class="section-number">7.3.26.5.2. </span><code class="docutils literal notranslate"><span class="pre">SUCCEEDED_OR_NOT</span></code><a class="headerlink" href="#succeeded-or-not" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>コマンドの実行が成功するとtrueを返します。失敗するとエラーとしてfalseを返します。</p>
</div>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.26.6. </span>参考<a class="headerlink" href="#see-also" title="このヘッドラインへのパーマリンク">¶</a></h2>
<blockquote>
<div><ul class="simple">
<li><p><a class="reference internal" href="lock_release.html"><span class="doc">lock_release</span></a></p></li>
<li><p><a class="reference internal" href="lock_clear.html"><span class="doc">lock_clear</span></a></p></li>
</ul>
</div></blockquote>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.26. <code class="docutils literal notranslate"><span class="pre">lock_acquire</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.26.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.26.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.26.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.26.4. 引数</a><ul>
<li><a class="reference internal" href="#target-name">7.3.26.4.1. <code class="docutils literal notranslate"><span class="pre">target_name</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.26.5. 戻り値</a><ul>
<li><a class="reference internal" href="#header">7.3.26.5.1. <code class="docutils literal notranslate"><span class="pre">HEADER</span></code></a></li>
<li><a class="reference internal" href="#succeeded-or-not">7.3.26.5.2. <code class="docutils literal notranslate"><span class="pre">SUCCEEDED_OR_NOT</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#see-also">7.3.26.6. 参考</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="load.html"
                        title="前の章へ"><span class="section-number">7.3.25. </span><code class="docutils literal notranslate"><span class="pre">load</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="lock_clear.html"
                        title="次の章へ"><span class="section-number">7.3.27. </span><code class="docutils literal notranslate"><span class="pre">lock_clear</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="lock_clear.html" title="7.3.27. lock_clear"
             >次へ</a> |</li>
        <li class="right" >
          <a href="load.html" title="7.3.25. load"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.26. </span><code class="docutils literal notranslate"><span class="pre">lock_acquire</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>